static const char *RcsId = "$Header: /usr/local/CVS/DeviceServer/Specific/BeamLine/Cristal/XPAD/src/ClassFactory.cpp,v 1.1 2008/01/23 15:25:39 le Exp $";
//+=============================================================================
//
// file :        ClassFactory.cpp
//
// description : C++ source for the class_factory method of the DServer
//               device class. This method is responsible to create
//               all class singletin for a device server. It is called
//               at device server startup
//
// project :     TANGO Device Server
//
// $Author: le $
//
// $Revision: 1.1 $
//
// $Log: ClassFactory.cpp,v $
// Revision 1.1  2008/01/23 15:25:39  le
// initial import
//
//
// copyleft :    European Synchrotron Radiation Facility
//               BP 220, Grenoble 38043
//               FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================


#include <tango.h>
#include <XPADClass.h>

/**
 *	Create XPADClass singleton and store it in DServer object.
 */

void Tango::DServer::class_factory()
{

	add_class(XPAD_ns::XPADClass::init("XPAD"));

}
